Description

Hi Lion,

I would like to create my image without a read-only file-system if | am a root.

History

#1 - 10/29/2021 04:38 PM - Lion Wang
- Status changed from New to In Progress
vinhtrannguyen acis wrote:
Hi Lion,
I would like to create my image without a read-only file-system if | am a root.
Hi Vinh,

Do you mean even root (/) and system config (/etc or /lib) folder?
As | know Android or Linux like system only root can access system folder(/etc , /lib and /).

#2 - 11/01/2021 09:53 AM - vinhtrannguyen acis
Hi Lion,

Yes, | am. | am logged in as a root but cannot modify as root such as creating file, change write permission for some files,...

#3 - 11/01/2021 11:10 AM - Lion Wang
Hi Vinh,

Please reference adb remount steps in below link.

https://support.innocomm.com/redmine/projects/sb52-som-and-evb/wiki/Adb_remount_steps

#4 - 11/01/2021 12:17 PM - vinhtrannguyen acis
- File Ofc2df8eef9a27c47e8b.jpg added

Hi Lion,
| did not see setting's location anymore

#5 - 11/01/2021 01:57 PM - Lion Wang
Hi Vinh,

Sorry, that is for Android OS.

As you know we do not support any modify for default image.

You can search by "Yocto read only" then you can find some discuss.

For example:
https://stackoverflow.com/questions/36595517/read-only-file-system-on-yocto

#6 - 11/04/2021 09:04 AM - Lion Wang

- Status changed from In Progress to Closed
